Bug 2846 - X' tslibinterface doesn't work on 2.6arm kernels (jornada, sharp zaurus)
Summary: X' tslibinterface doesn't work on 2.6arm kernels (jornada, sharp zaurus)
Status: CLOSED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xephyr (show other bugs)
Version: unspecified
Hardware: All All
: highest blocker
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-29 03:03 UTC by Koen Kooi
Modified: 2011-10-15 17:20 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Fixes TSLIB specific problem. (4.90 KB, patch)
2005-04-20 05:08 UTC, Tuukka Pasanen
no flags Details | Splinter Review

Description Koen Kooi 2005-03-29 03:03:00 UTC
X doesn't seem to get information from tslib, while the tslib testsuite give correct results. It seems like 
the tslib data isn't getting through. Reverting to 20050207 solves the problem
Comment 1 Tuukka Pasanen 2005-04-20 05:08:53 UTC
Created attachment 2470 [details] [review]
Fixes TSLIB specific problem.

I found myself wanting to have Newvision NW619vt working on xserver. Soon I
noticed that evdev interface doesn't handle job correctly in Xserver. 
After that i discovered tslib that nearly worked:). So I little bit coded and
this patch that come through.
Biggest problem is that the mouse device pollutes every KdMouseInfo that it can
have hands on. So that's why there is that stupid return.
Not smart patch but shows how to fix problem. So someone can make this little
bit better..
Comment 2 Koen Kooi 2005-06-08 05:28:12 UTC
putting a 'KdMouseInfoAdd();' in tslib.c:168 fixes the bug. Verified with yesterdays cvs and a zaurus c700 
running 2.6.11
Comment 3 Adam Jackson 2009-04-14 07:18:06 UTC
The old kdrive tree is dead.  As far as we can tell, this bug no longer applies to the current Xorg server tree.  If it does, please reopen this bug and change the product to 'xorg' and the component to 'server/general'.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.